> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://next.developer.frame.io/platform/v4-experimental/api-reference/shares/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server. # Update share PATCH https://api.frame.io/v4/accounts/{account_id}/shares/{share_id} Content-Type: application/json Update share. This endpoint has been added to `Current Version` of the API. Please see [https://next.developer.frame.io/platform/v4/api-reference/shares/update](https://next.developer.frame.io/platform/v4/api-reference/shares/update). Rate Limits: 10 calls per 1.00 minute(s) per account\_user Reference: https://next.developer.frame.io/platform/api-reference/shares/update ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `account_id` (string, required) - `share_id` (string, required) ### Headers - `api-version` (enum, required) - Allowed values: `experimental` ### Body (application/json) This endpoint expects an UpdateShareParams. - `data` (UpdateShareParamsData, required) ## Response ### 200 OK - `data` (ExperimentalShare, required) ## Errors ### 400 Bad Request Error Bad request - `errors` (list of BadRequestErrorsItems, required) ### 401 Unauthorized Error Unauthorized - `errors` (list of UnauthorizedErrorsItems, required) ### 403 Forbidden Error Forbidden - `errors` (list of ForbiddenErrorsItems, required) ### 404 Not Found Error Not found - `errors` (list of NotFoundErrorsItems, required) ### 409 Conflict Error Conflict - `errors` (list of ConflictErrorsItems, required) ### 422 Unprocessable Entity Error Unprocessable content - `errors` (list of UnprocessableContentErrorsItems, required) ### 429 Too Many Requests Error Too many requests - `errors` (list of TooManyRequestsErrorsItems, required) ## Types ### UpdateShareParamsData - `card_info_enabled` (boolean, optional) — Whether to show card info (metadata) on cards when layout is grid - `enabled` (boolean, optional) — Whether the share link is active - `watermark_template_id` (string, optional, nullable) — ID of the session watermark template applied when watermarking is enabled on the share. Must belong to the share's account. When omitted or null, the workspace or account default template is used. - `icons_visible_on_list` (boolean, optional) — Whether visible-field icons are shown alongside text when layout is list - `access` (enum, optional) - Allowed values: `public`, `secure` - `theme` (enum, optional) — Color theme - Allowed values: `dark`, `light`, `neutral` - `editable_fields_enabled` (boolean, optional) — When true, all visible non-system fields can be edited by share recipients. When false, only the featured field is editable. - `card_aspect_ratio` (enum, optional) — Aspect ratio of cards. Applies to layouts: grid, reel. - Allowed values: `horizontal`, `square`, `vertical` - `commenting_enabled` (boolean, optional) — Whether commenting is enabled on the share - `passphrase` (string, optional, nullable) — Passphrase to access share, if passphrase is required and not given it will be generated - `description` (string, optional, nullable) — Share description - NOTE: Requires feature custom_branded_shares - `sort_by` (UpdateShareParamsDataSortBy, optional) — Field ID and direction by which share assets will be sorted - `forensic_watermark_enabled` (boolean, optional) — Whether forensic watermarking is enabled on the share - `list_row_size` (enum, optional) — Row size when layout is list - Allowed values: `small`, `medium`, `large` - `name` (string, optional, nullable) — Share Name (must include at least one non-whitespace character and no line breaks) - `card_size` (enum, optional) — Relative size of cards when layout is grid - Allowed values: `small`, `medium`, `large` - `reel_card_aspect_ratio` (enum, optional) — Aspect ratio of cards when layout is reel - Allowed values: `horizontal`, `square`, `vertical` - `drm_enabled` (boolean, optional) — Whether digital rights management is enabled on the share - `show_asset_name_in_reel_layout` (boolean, optional) — Whether the asset name is displayed when layout is reel - `captions_enabled` (boolean, optional, nullable) — Whether reviewers can view captions on shared assets - `transcripts_enabled` (boolean, optional, nullable) — Whether reviewers can view transcripts on shared assets - `watermark_enabled` (boolean, optional, nullable) — Whether watermarking is enabled on the share - `reel_card_fit_image` (boolean, optional) — Thumbnail scale when layout is reel. `true` fills the card (may crop); `false` fits the thumbnail inside the card. - `featured_field_definition_id` (string, optional, nullable) — ID of the field definition to set as the featured (always-editable) field for share recipients - `open_in_viewer_enabled` (boolean, optional) — Whether shares with a single asset will open in a larger view. Applies to layouts: grid, list. - `downloading_enabled` (boolean, optional) — Whether downloading is enabled on the share - `accent_color` (string, optional, nullable) — Hex code for accent color - `layout` (enum, optional) — Share layout. Required when updating appearance fields - Allowed values: `grid`, `list`, `reel` - `show_all_asset_versions` (boolean, optional, nullable) — Whether reviewers can see every version in a shared version stack (rather than only the head version) - `name_column_width` (integer, optional, nullable) — Width of the name column in pixels when layout is list - `thumbnail_scale` (enum, optional) — Thumbnail scale. `fill` may crop; `fit` letterboxes inside the card. - Allowed values: `fit`, `fill` - `title_line_count` (integer, optional) — Number of lines for the card title (1 or 2) when layout is grid - `expiration` (string, optional, nullable) — Expiration timestamp - `visible_field_definition_ids` (list of string, optional) — IDs of field definitions to show in the share. Applies to the share's active layout. When omitted, inherits from the project's default field visibility. ### ExperimentalShare - `enabled` (boolean, required) — Whether the share link is active - `watermark_template_id` (string, required, nullable) — ID of the session watermark template applied when watermarking is enabled on the share. Must belong to the share's account. When omitted or null, the workspace or account default template is used. - `access` (enum, required) - Allowed values: `public`, `secure` - `last_viewed_at` (string, required, nullable) — Last viewed timestamp - `updated_at` (string, required) — Update timestamp - `editable_fields_enabled` (boolean, required) — When true, all visible non-system fields can be edited by share recipients. When false, only the featured field is editable. - `commenting_enabled` (boolean, required) — Whether commenting is enabled on the share - `description` (string, required, nullable) — Share description - `sort_by` (ExperimentalShareSortBy, required) — Field ID and direction by which share assets will be sorted - `created_at` (string, required) — Creation timestamp - `forensic_watermark_enabled` (boolean, required) — Whether forensic watermarking is enabled on the share - `name` (string, required, nullable) — Share name - `collection_id` (string, required) — Collection ID - `short_url` (string, required, nullable) — Share URL - `drm_enabled` (boolean, required) — Whether digital rights management is enabled on the share - `watermark_enabled` (boolean, required, nullable) — Whether watermarking is enabled on the share - `featured_field_definition_id` (string, required, nullable) — ID of the field definition to set as the featured (always-editable) field for share recipients - `downloading_enabled` (boolean, required) — Whether downloading is enabled on the share - `id` (string, required) — Share ID - `expiration` (string, required, nullable) — Expiration timestamp - `visible_field_definition_ids` (list of string, required) — IDs of field definitions to show in the share. Applies to the share's active layout. When omitted, inherits from the project's default field visibility. - `card_info_enabled` (boolean, optional) — Whether to show card info (metadata) on cards when layout is grid - `icons_visible_on_list` (boolean, optional) — Whether visible-field icons are shown alongside text when layout is list - `theme` (enum, optional) — Color theme - Allowed values: `dark`, `light`, `neutral` - `card_aspect_ratio` (enum, optional) — Aspect ratio of cards. Applies to layouts: grid, reel. - Allowed values: `horizontal`, `square`, `vertical` - `passphrase` (string, optional, nullable) — Passphrase to access share, if passphrase is required and not given it will be generated - `list_row_size` (enum, optional) — Row size when layout is list - Allowed values: `small`, `medium`, `large` - `card_size` (enum, optional) — Relative size of cards when layout is grid - Allowed values: `small`, `medium`, `large` - `reel_card_aspect_ratio` (enum, optional) — Aspect ratio of cards when layout is reel - Allowed values: `horizontal`, `square`, `vertical` - `show_asset_name_in_reel_layout` (boolean, optional) — Whether the asset name is displayed when layout is reel - `captions_enabled` (boolean, optional, nullable) — Whether reviewers can view captions on shared assets - `transcripts_enabled` (boolean, optional, nullable) — Whether reviewers can view transcripts on shared assets - `reel_card_fit_image` (boolean, optional) — Thumbnail scale when layout is reel. `true` fills the card (may crop); `false` fits the thumbnail inside the card. - `open_in_viewer_enabled` (boolean, optional) — Whether shares with a single asset will open in a larger view. Applies to layouts: grid, list. - `accent_color` (string, optional, nullable) — Hex code for accent color - `layout` (enum, optional) — Share layout. Required when updating appearance fields - Allowed values: `grid`, `list`, `reel` - `show_all_asset_versions` (boolean, optional, nullable) — Whether reviewers can see every version in a shared version stack (rather than only the head version) - `name_column_width` (integer, optional, nullable) — Width of the name column in pixels when layout is list - `thumbnail_scale` (enum, optional) — Thumbnail scale. `fill` may crop; `fit` letterboxes inside the card. - Allowed values: `fit`, `fill` - `title_line_count` (integer, optional) — Number of lines for the card title (1 or 2) when layout is grid ### BadRequestErrorsItems - `detail` (string, required) - `source` (BadRequestErrorsItemsSource, optional) - `title` (string, optional) ### UnauthorizedErrorsItems - `detail` (string, required) - `source` (UnauthorizedErrorsItemsSource, optional) - `title` (string, optional) ### ForbiddenErrorsItems - `detail` (string, required) - `source` (ForbiddenErrorsItemsSource, optional) - `title` (string, optional) ### NotFoundErrorsItems - `detail` (string, required) - `source` (NotFoundErrorsItemsSource, optional) - `title` (string, optional) ### ConflictErrorsItems - `detail` (string, required) - `source` (ConflictErrorsItemsSource, optional) - `title` (string, optional) ### UnprocessableContentErrorsItems - `detail` (string, required) - `source` (UnprocessableContentErrorsItemsSource, optional) - `title` (string, optional) ### TooManyRequestsErrorsItems - `detail` (string, required) - `source` (TooManyRequestsErrorsItemsSource, optional) - `title` (string, optional) ### UpdateShareParamsDataSortBy Field ID and direction by which share assets will be sorted - `direction` (enum, required) - Allowed values: `asc`, `desc` - `field_definition_id` (string, required) — A UUID string that uniquely identifies a Frame.io entity. ### ExperimentalShareSortBy Field ID and direction by which share assets will be sorted - `direction` (enum, required) - Allowed values: `asc`, `desc` - `field_definition_id` (string, required) — A UUID string that uniquely identifies a Frame.io entity. ### BadRequestErrorsItemsSource - `pointer` (string, optional) ### UnauthorizedErrorsItemsSource - `pointer` (string, optional) ### ForbiddenErrorsItemsSource - `pointer` (string, optional) ### NotFoundErrorsItemsSource - `pointer` (string, optional) ### ConflictErrorsItemsSource - `pointer` (string, optional) ### UnprocessableContentErrorsItemsSource - `pointer` (string, optional) ### TooManyRequestsErrorsItemsSource - `pointer` (string, optional) ## Examples **Request** ```json { "data": { "card_info_enabled": true, "enabled": true, "watermark_template_id": "0264ffce-a184-4b00-9129-77f2f0e0a4b0", "access": "public", "theme": "dark", "editable_fields_enabled": true, "card_aspect_ratio": "square", "commenting_enabled": true, "passphrase": "as!dfj39sd(*", "description": "A descriptive summary of the share", "sort_by": { "direction": "asc", "field_definition_id": "f67b47b2-abca-40a6-b7bb-8c4ce0d662f7" }, "forensic_watermark_enabled": false, "name": "Share Name", "card_size": "medium", "drm_enabled": false, "captions_enabled": true, "transcripts_enabled": true, "watermark_enabled": true, "featured_field_definition_id": null, "open_in_viewer_enabled": true, "downloading_enabled": true, "accent_color": "#FF0000", "layout": "grid", "show_all_asset_versions": true, "thumbnail_scale": "fill", "title_line_count": 1, "expiration": "2026-10-05T19:46:03.135828Z", "visible_field_definition_ids": [] } } ``` **Response** ```json { "data": { "enabled": true, "watermark_template_id": "70c960c0-0634-4402-b42c-9c81e16c6ca7", "access": "public", "last_viewed_at": "2024-03-02T21:19:24.828948Z", "updated_at": "2024-02-02T21:19:24.828948Z", "editable_fields_enabled": false, "commenting_enabled": true, "description": "Description of share", "sort_by": { "direction": "asc", "field_definition_id": "4f287e7d-ae54-4986-a29d-3fafdb5d3621" }, "created_at": "2024-02-02T21:19:24.828948Z", "forensic_watermark_enabled": false, "name": "Test Share", "collection_id": "f68c6f92-5348-4731-b039-03bd22af9a21", "short_url": "https://f.io/GGa9wPw5", "drm_enabled": false, "watermark_enabled": true, "featured_field_definition_id": "8bfaa904-29b1-4b4f-891b-03ee2461a105", "downloading_enabled": true, "id": "531cba96-b7e7-4d2e-9c67-260880c35039", "expiration": "2026-10-05T19:46:03.135828Z", "visible_field_definition_ids": [ "1b68ed5f-a2b4-4a89-a0a1-407bc68d0ef6" ], "card_info_enabled": true, "icons_visible_on_list": true, "theme": "dark", "card_aspect_ratio": "square", "passphrase": "as!dfj39sd(*", "list_row_size": "small", "card_size": "medium", "reel_card_aspect_ratio": "square", "show_asset_name_in_reel_layout": false, "captions_enabled": true, "transcripts_enabled": true, "reel_card_fit_image": false, "open_in_viewer_enabled": true, "accent_color": "#FF0000", "layout": "grid", "show_all_asset_versions": true, "name_column_width": null, "thumbnail_scale": "fill", "title_line_count": 1 } } ``` **SDK Code** ```python import requests url = "https://api.frame.io/v4/accounts/40a4a892-3561-42cc-8e84-2c1b11f82393/shares/c3f5d38d-711f-447e-bc37-6332d3b3fb3e" payload = { "data": { "card_info_enabled": True, "enabled": True, "watermark_template_id": "0264ffce-a184-4b00-9129-77f2f0e0a4b0", "access": "public", "theme": "dark", "editable_fields_enabled": True, "card_aspect_ratio": "square", "commenting_enabled": True, "passphrase": "as!dfj39sd(*", "description": "A descriptive summary of the share", "sort_by": { "direction": "asc", "field_definition_id": "f67b47b2-abca-40a6-b7bb-8c4ce0d662f7" }, "forensic_watermark_enabled": False, "name": "Share Name", "card_size": "medium", "drm_enabled": False, "captions_enabled": True, "transcripts_enabled": True, "watermark_enabled": True, "featured_field_definition_id": None, "open_in_viewer_enabled": True, "downloading_enabled": True, "accent_color": "#FF0000", "layout": "grid", "show_all_asset_versions": True, "thumbnail_scale": "fill", "title_line_count": 1, "expiration": "2026-10-05T19:46:03.135828Z", "visible_field_definition_ids": [] } } headers = { "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.frame.io/v4/accounts/40a4a892-3561-42cc-8e84-2c1b11f82393/shares/c3f5d38d-711f-447e-bc37-6332d3b3fb3e'; const options = { method: 'PATCH', headers: { 'api-version': 'experimental', Authorization: 'Bearer ', 'Content-Type': 'application/json' }, body: '{"data":{"card_info_enabled":true,"enabled":true,"watermark_template_id":"0264ffce-a184-4b00-9129-77f2f0e0a4b0","access":"public","theme":"dark","editable_fields_enabled":true,"card_aspect_ratio":"square","commenting_enabled":true,"passphrase":"as!dfj39sd(*","description":"A descriptive summary of the share","sort_by":{"direction":"asc","field_definition_id":"f67b47b2-abca-40a6-b7bb-8c4ce0d662f7"},"forensic_watermark_enabled":false,"name":"Share Name","card_size":"medium","drm_enabled":false,"captions_enabled":true,"transcripts_enabled":true,"watermark_enabled":true,"featured_field_definition_id":null,"open_in_viewer_enabled":true,"downloading_enabled":true,"accent_color":"#FF0000","layout":"grid","show_all_asset_versions":true,"thumbnail_scale":"fill","title_line_count":1,"expiration":"2026-10-05T19:46:03.135828Z","visible_field_definition_ids":[]}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.frame.io/v4/accounts/40a4a892-3561-42cc-8e84-2c1b11f82393/shares/c3f5d38d-711f-447e-bc37-6332d3b3fb3e" payload := strings.NewReader("{\n \"data\": {\n \"card_info_enabled\": true,\n \"enabled\": true,\n \"watermark_template_id\": \"0264ffce-a184-4b00-9129-77f2f0e0a4b0\",\n \"access\": \"public\",\n \"theme\": \"dark\",\n \"editable_fields_enabled\": true,\n \"card_aspect_ratio\": \"square\",\n \"commenting_enabled\": true,\n \"passphrase\": \"as!dfj39sd(*\",\n \"description\": \"A descriptive summary of the share\",\n \"sort_by\": {\n \"direction\": \"asc\",\n \"field_definition_id\": \"f67b47b2-abca-40a6-b7bb-8c4ce0d662f7\"\n },\n \"forensic_watermark_enabled\": false,\n \"name\": \"Share Name\",\n \"card_size\": \"medium\",\n \"drm_enabled\": false,\n \"captions_enabled\": true,\n \"transcripts_enabled\": true,\n \"watermark_enabled\": true,\n \"featured_field_definition_id\": null,\n \"open_in_viewer_enabled\": true,\n \"downloading_enabled\": true,\n \"accent_color\": \"#FF0000\",\n \"layout\": \"grid\",\n \"show_all_asset_versions\": true,\n \"thumbnail_scale\": \"fill\",\n \"title_line_count\": 1,\n \"expiration\": \"2026-10-05T19:46:03.135828Z\",\n \"visible_field_definition_ids\": []\n }\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("api-version", "experimental") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.frame.io/v4/accounts/40a4a892-3561-42cc-8e84-2c1b11f82393/shares/c3f5d38d-711f-447e-bc37-6332d3b3fb3e") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["api-version"] = 'experimental' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": {\n \"card_info_enabled\": true,\n \"enabled\": true,\n \"watermark_template_id\": \"0264ffce-a184-4b00-9129-77f2f0e0a4b0\",\n \"access\": \"public\",\n \"theme\": \"dark\",\n \"editable_fields_enabled\": true,\n \"card_aspect_ratio\": \"square\",\n \"commenting_enabled\": true,\n \"passphrase\": \"as!dfj39sd(*\",\n \"description\": \"A descriptive summary of the share\",\n \"sort_by\": {\n \"direction\": \"asc\",\n \"field_definition_id\": \"f67b47b2-abca-40a6-b7bb-8c4ce0d662f7\"\n },\n \"forensic_watermark_enabled\": false,\n \"name\": \"Share Name\",\n \"card_size\": \"medium\",\n \"drm_enabled\": false,\n \"captions_enabled\": true,\n \"transcripts_enabled\": true,\n \"watermark_enabled\": true,\n \"featured_field_definition_id\": null,\n \"open_in_viewer_enabled\": true,\n \"downloading_enabled\": true,\n \"accent_color\": \"#FF0000\",\n \"layout\": \"grid\",\n \"show_all_asset_versions\": true,\n \"thumbnail_scale\": \"fill\",\n \"title_line_count\": 1,\n \"expiration\": \"2026-10-05T19:46:03.135828Z\",\n \"visible_field_definition_ids\": []\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.frame.io/v4/accounts/40a4a892-3561-42cc-8e84-2c1b11f82393/shares/c3f5d38d-711f-447e-bc37-6332d3b3fb3e") .header("api-version", "experimental") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": {\n \"card_info_enabled\": true,\n \"enabled\": true,\n \"watermark_template_id\": \"0264ffce-a184-4b00-9129-77f2f0e0a4b0\",\n \"access\": \"public\",\n \"theme\": \"dark\",\n \"editable_fields_enabled\": true,\n \"card_aspect_ratio\": \"square\",\n \"commenting_enabled\": true,\n \"passphrase\": \"as!dfj39sd(*\",\n \"description\": \"A descriptive summary of the share\",\n \"sort_by\": {\n \"direction\": \"asc\",\n \"field_definition_id\": \"f67b47b2-abca-40a6-b7bb-8c4ce0d662f7\"\n },\n \"forensic_watermark_enabled\": false,\n \"name\": \"Share Name\",\n \"card_size\": \"medium\",\n \"drm_enabled\": false,\n \"captions_enabled\": true,\n \"transcripts_enabled\": true,\n \"watermark_enabled\": true,\n \"featured_field_definition_id\": null,\n \"open_in_viewer_enabled\": true,\n \"downloading_enabled\": true,\n \"accent_color\": \"#FF0000\",\n \"layout\": \"grid\",\n \"show_all_asset_versions\": true,\n \"thumbnail_scale\": \"fill\",\n \"title_line_count\": 1,\n \"expiration\": \"2026-10-05T19:46:03.135828Z\",\n \"visible_field_definition_ids\": []\n }\n}") .asString(); ``` ```php request('PATCH', 'https://api.frame.io/v4/accounts/40a4a892-3561-42cc-8e84-2c1b11f82393/shares/c3f5d38d-711f-447e-bc37-6332d3b3fb3e', [ 'body' => '{ "data": { "card_info_enabled": true, "enabled": true, "watermark_template_id": "0264ffce-a184-4b00-9129-77f2f0e0a4b0", "access": "public", "theme": "dark", "editable_fields_enabled": true, "card_aspect_ratio": "square", "commenting_enabled": true, "passphrase": "as!dfj39sd(*", "description": "A descriptive summary of the share", "sort_by": { "direction": "asc", "field_definition_id": "f67b47b2-abca-40a6-b7bb-8c4ce0d662f7" }, "forensic_watermark_enabled": false, "name": "Share Name", "card_size": "medium", "drm_enabled": false, "captions_enabled": true, "transcripts_enabled": true, "watermark_enabled": true, "featured_field_definition_id": null, "open_in_viewer_enabled": true, "downloading_enabled": true, "accent_color": "#FF0000", "layout": "grid", "show_all_asset_versions": true, "thumbnail_scale": "fill", "title_line_count": 1, "expiration": "2026-10-05T19:46:03.135828Z", "visible_field_definition_ids": [] } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'api-version' => 'experimental', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.frame.io/v4/accounts/40a4a892-3561-42cc-8e84-2c1b11f82393/shares/c3f5d38d-711f-447e-bc37-6332d3b3fb3e"); var request = new RestRequest(Method.PATCH); request.AddHeader("api-version", "experimental"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": {\n \"card_info_enabled\": true,\n \"enabled\": true,\n \"watermark_template_id\": \"0264ffce-a184-4b00-9129-77f2f0e0a4b0\",\n \"access\": \"public\",\n \"theme\": \"dark\",\n \"editable_fields_enabled\": true,\n \"card_aspect_ratio\": \"square\",\n \"commenting_enabled\": true,\n \"passphrase\": \"as!dfj39sd(*\",\n \"description\": \"A descriptive summary of the share\",\n \"sort_by\": {\n \"direction\": \"asc\",\n \"field_definition_id\": \"f67b47b2-abca-40a6-b7bb-8c4ce0d662f7\"\n },\n \"forensic_watermark_enabled\": false,\n \"name\": \"Share Name\",\n \"card_size\": \"medium\",\n \"drm_enabled\": false,\n \"captions_enabled\": true,\n \"transcripts_enabled\": true,\n \"watermark_enabled\": true,\n \"featured_field_definition_id\": null,\n \"open_in_viewer_enabled\": true,\n \"downloading_enabled\": true,\n \"accent_color\": \"#FF0000\",\n \"layout\": \"grid\",\n \"show_all_asset_versions\": true,\n \"thumbnail_scale\": \"fill\",\n \"title_line_count\": 1,\n \"expiration\": \"2026-10-05T19:46:03.135828Z\",\n \"visible_field_definition_ids\": []\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "api-version": "experimental", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ "card_info_enabled": true, "enabled": true, "watermark_template_id": "0264ffce-a184-4b00-9129-77f2f0e0a4b0", "access": "public", "theme": "dark", "editable_fields_enabled": true, "card_aspect_ratio": "square", "commenting_enabled": true, "passphrase": "as!dfj39sd(*", "description": "A descriptive summary of the share", "sort_by": [ "direction": "asc", "field_definition_id": "f67b47b2-abca-40a6-b7bb-8c4ce0d662f7" ], "forensic_watermark_enabled": false, "name": "Share Name", "card_size": "medium", "drm_enabled": false, "captions_enabled": true, "transcripts_enabled": true, "watermark_enabled": true, "featured_field_definition_id": , "open_in_viewer_enabled": true, "downloading_enabled": true, "accent_color": "#FF0000", "layout": "grid", "show_all_asset_versions": true, "thumbnail_scale": "fill", "title_line_count": 1, "expiration": "2026-10-05T19:46:03.135828Z", "visible_field_definition_ids": [] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/40a4a892-3561-42cc-8e84-2c1b11f82393/shares/c3f5d38d-711f-447e-bc37-6332d3b3fb3e")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```